# netapp_e_iscsi_target – NetApp E-Series manage iSCSI target configuration

New in version 2.7.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Configure the settings of an E-Series iSCSI target

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.

chap_secret
-

Enable Challenge-Handshake Authentication Protocol (CHAP), utilizing this value as the password.
When this value is specified, we will always trigger an update (changed=True). We have no way of verifying whether or not the password has changed.
The chap secret may only use ascii characters with values between 32 and 126 decimal.
The chap secret must be no less than 12 characters, but no greater than 57 characters in length.
The chap secret is cleared when not specified or an empty string.
aliases: chap, password

log_path - |  | A local path (on the Ansible controller), to a file to be used for debug logging.
name - |  | The name/alias to assign to the iSCSI target. This alias is often used by the initiator software in order to make an iSCSI target easier to identify. aliases: alias

ping
boolean

Choices:
- no
- yes ←

Enable ICMP ping responses from the configured iSCSI ports.

ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.

unnamed_discovery
boolean

Choices:
- no
- yes ←

When an initiator initiates a discovery session to an initiator port, it is considered an unnamed discovery session if the iSCSI target iqn is not specified in the request.
This option may be disabled to increase security if desired.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Notes

Note

- Check mode is supported.

- Some of the settings are dependent on the settings applied to the iSCSI interfaces. These can be configured using netapp_e_iscsi_interface.

- This module requires a Web Services API version of >= 1.3.

- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.

- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.

- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Enable ping responses and unnamed discovery sessions for all iSCSI ports
      netapp_e_iscsi_target:
        api_url: "https://localhost:8443/devmgr/v2"
        api_username: admin
        api_password: myPassword
        ssid: "1"
        validate_certs: no
        name: myTarget
        ping: yes
        unnamed_discovery: yes

    - name: Set the target alias and the CHAP secret
      netapp_e_iscsi_target:
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
        name: myTarget
        chap: password1234

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
alias string | on success | The alias assigned to the iSCSI target. Sample: myArray
iqn string | on success | The iqn (iSCSI Qualified Name), assigned to the iSCSI target. Sample: iqn.1992-08.com.netapp:2800.000a132000b006d2000000005a0e8f45
msg string | on success | Success message Sample: The iSCSI target settings have been updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Price (@lmprice)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.